Debian Bug report logs - #561443
RFP: linuxsampler -- realtime audio sampler

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alessio Treglia <alessio@debian.org>

Date: Thu, 17 Dec 2009 08:12:01 UTC

Severity: wishlist

Done: Jonathan Dowland <jmtd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#561443; Package wnpp. (Thu, 17 Dec 2009 08:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <quadrispro@ubuntu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Thu, 17 Dec 2009 08:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <quadrispro@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: linuxsampler -- realtime audio sampler
Date: Thu, 17 Dec 2009 09:02:11 +0100
Package: wnpp
Severity: wishlist
Owner: Alessio Treglia <quadrispro@ubuntu.com>

* Package name    : linuxsampler
  Version         : 1.0.0
  Upstream Author : Christian Schoenebeck <cuse@users.sourceforge.net>
* URL             : http://www.linuxsampler.org/
* License         : GPL-2
  Programming Lang: C++
  Description     : realtime audio sampler

 LinuxSampler is a work in progress. It's goal is to produce a free
 software audio sampler with professional grade features.
 .
 It offers disk streaming capability and supports the Gigasampler format
 which is currently considered to be the best sampler format in regards of
 possibilities and sound quality.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#561443; Package wnpp. (Thu, 17 Dec 2009 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alessio Treglia <quadrispro@ubuntu.com>. (Thu, 17 Dec 2009 09:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 561443@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 561443@bugs.debian.org
Subject: Re: Bug#561443: ITP: linuxsampler -- realtime audio sampler
Date: Thu, 17 Dec 2009 10:07:04 +0100
On Thu, 2009-12-17 at 09:02 +0100, Alessio Treglia wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Alessio Treglia <quadrispro@ubuntu.com>
> 
> * Package name    : linuxsampler
>   Version         : 1.0.0
>   Upstream Author : Christian Schoenebeck <cuse@users.sourceforge.net>
> * URL             : http://www.linuxsampler.org/
> * License         : GPL-2
>   Programming Lang: C++
>   Description     : realtime audio sampler
> 
>  LinuxSampler is a work in progress. It's goal is to produce a free
                     ^^^^^^^^^^^^^^^
Hello,

Since the package version is 1.0, I suppose that "work in progress" can
and should be removed from the description.

Franklin

BTW: Won't the package work on Debian/kFreeBSD? I found the program
     name to be awfully generic. A "sample" probably means something
     completely for an artist, a physicist (and a linux kernel
     developer;)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#561443; Package wnpp. (Thu, 17 Dec 2009 19:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <quadrispro@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 17 Dec 2009 19:51:13 GMT) Full text and rfc822 format available.

Message #15 received at 561443@bugs.debian.org (full text, mbox):

From: Alessio Treglia <quadrispro@ubuntu.com>
To: Frank Lin PIAT <fpiat@klabs.be>, 561443@bugs.debian.org
Subject: Re: Bug#561443: ITP: linuxsampler -- realtime audio sampler
Date: Thu, 17 Dec 2009 20:50:23 +0100
Hi Franklin,

thanks for your reply!

> Since the package version is 1.0, I suppose that "work in progress" can
> and should be removed from the description.

You're right, already done.
The following is an updated long description:

 LinuxSampler is sampler backend, thus server-like console application. It
 provides a TCP based network interface with a custom ASCII based protocol
 called "LSCP" to control the sampler and manage sampler sessions. Users
 either have to send commands manually to LinuxSampler, e.g. by connecting
 via 'telnet' or by using 'netcat' or they might want to use a graphical
 user interface (frontend) like QSampler (C++/Qt based).
 .
 It also offers disk streaming capability and supports the Gigasampler
 format which is currently considered to be the best sampler format in
 regards of possibilities and sound quality.

> BTW: Won't the package work on Debian/kFreeBSD? I found the program
>     name to be awfully generic. A "sample" probably means something
>     completely for an artist, a physicist (and a linux kernel
>     developer;)
>

Originally its name is LinuxSampler, so I thought it was a good name,
BTW if you have some idea for providing the package an alternative
name, let me know.

Thank you again!

-- 
Alessio Treglia <quadrispro@ubuntu.com>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#561443; Package wnpp. (Thu, 17 Dec 2009 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alessio Treglia <quadrispro@ubuntu.com>. (Thu, 17 Dec 2009 21:27:07 GMT) Full text and rfc822 format available.

Message #20 received at 561443@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Alessio Treglia <quadrispro@ubuntu.com>
Cc: 561443@bugs.debian.org
Subject: Re: Bug#561443: ITP: linuxsampler -- realtime audio sampler
Date: Thu, 17 Dec 2009 21:38:52 +0100
On Thu, 2009-12-17 at 20:50 +0100, Alessio Treglia wrote:
> 
> > Since the package version is 1.0, I suppose that "work in progress" can
> > and should be removed from the description.
> 
> You're right, already done.

Cool!

> The following is an updated long description:
> 
>  LinuxSampler is sampler backend, thus server-like console application. It
                  ^^ an audio

>  provides a TCP based network interface with a custom ASCII based protocol
>  called "LSCP" to control the sampler and manage sampler sessions. Users
>  either have to send commands manually to LinuxSampler, e.g. by connecting
>  via 'telnet' or by using 'netcat' or they might want to use a graphical
>  user interface (frontend) like QSampler (C++/Qt based). [..]

> > BTW: Won't the package work on Debian/kFreeBSD? I found the program
> >     name to be awfully generic. A "sample" probably means something
> >     completely for an artist, a physicist (and a linux kernel
> >     developer;)
> >
> 
> Originally its name is LinuxSampler, so I thought it was a good name,
> BTW if you have some idea for providing the package an alternative
> name, let me know.

Yes, using upstream's name is the sensible thing to do (IMHO).

Thanks,

Franklin





Changed Bug submitter to 'alessio@debian.org' from 'Alessio Treglia <quadrispro@ubuntu.com>' Request was from Alessio Treglia <quadrispro@ubuntu.com> to control@bugs.debian.org. (Tue, 01 Jun 2010 11:30:23 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Alessio Treglia <alessio@debian.org>' from 'alessio@debian.org' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 01 Jun 2010 11:30:50 GMT) Full text and rfc822 format available.

Owner changed from Alessio Treglia <quadrispro@ubuntu.com> to Alessio Treglia <alessio@debian.org>. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 01 Jun 2010 11:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alessio Treglia <alessio@debian.org>:
Bug#561443; Package wnpp. (Sat, 19 Feb 2011 17:18:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alessio Treglia <alessio@debian.org>. (Sat, 19 Feb 2011 17:18:59 GMT) Full text and rfc822 format available.

Message #31 received at 561443@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 561443@bugs.debian.org
Cc: control@bugs.debian.org
Subject: linuxsampler: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:47 +0000
retitle 561443 RFP: linuxsampler -- realtime audio sampler
noowner 561443
thanks

Hi,

This is an automatic email to change the status of linuxsampler back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting linuxsampler, please send a mail to
<control@bugs.debian.org> with:

 retitle 561443 ITP: linuxsampler -- realtime audio sampler
 owner 561443 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <561443@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: linuxsampler -- realtime audio sampler' from 'ITP: linuxsampler -- realtime audio sampler' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:20:35 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Alessio Treglia <alessio@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:20:35 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Dowland <jmtd@debian.org>:
You have taken responsibility. (Tue, 25 Dec 2012 20:39:03 GMT) Full text and rfc822 format available.

Notification sent to Alessio Treglia <alessio@debian.org>:
Bug acknowledged by developer. (Tue, 25 Dec 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #40 received at 561443-close@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: 561443-close@bugs.debian.org
Subject: not free
Date: Tue, 25 Dec 2012 20:35:39 +0000
Sadly linuxsampler is not really gpl2, it has a noncommercial rider and is thus
non free and unsuitable for Debian :(
http://www.linuxsampler.org/faq.html#commercial_products




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Jan 2013 07:27:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:04:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.